/*============================================================================
  File:     TempdbClient.sql

  Summary:  Create temp tables

  Date:     March 2011

  SQL Server Versions:
		10.0.2531.00 (SS2008 SP1)
		9.00.4035.00 (SS2005 SP3)
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you give due credit.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE TempdbTest;
GO

SET NOCOUNT ON;
GO

DECLARE @TableName  VARCHAR (128);
DECLARE @ExecString VARCHAR (8000);
DECLARE @a INT;

SELECT @TableName = '##Temp' + CAST (@@SPID AS VARCHAR);

WHILE (1=1)
BEGIN
	-- Calculate doc name length
	SELECT @ExecString = 'SELECT * INTO ' +
		@TableName +
		' FROM TempdbTest..SampleTable';
		
	--SELECT @ExecString;
	EXEC (@ExecString);

	SELECT @ExecString = 'DROP TABLE ' +
		@TableName;
	
	EXEC (@ExecString);
	
	SELECT @a=COUNT (*) FROM TempdbTest..SampleTable;
END;
GO