/*============================================================================
  File:     TempdbSetup.sql

  Summary:  Create some nasty tempdb waits

  Date:     March 2011

  SQL Server Versions:
		10.0.2531.00 (SS2008 SP1)
		9.00.4035.00 (SS2005 SP3)
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you give due credit.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

/*
USE master;
GO
DROP DATABASE TempdbTest;
GO

-- Make sure extra tempdb file is removed
ALTER DATABASE tempdb
REMOVE FILE Tempdb2;

*/

CREATE DATABASE TempdbTest;
GO

USE TempdbTest;
GO

CREATE TABLE SampleTable (
	c1 INT IDENTITY);
GO

INSERT INTO SampleTable DEFAULT VALUES;
GO 10

-- Fire up 200 clients and watch waits...

-- Try adding another file
ALTER DATABASE tempdb
ADD FILE 
(
    NAME = Tempdb2,
    FILENAME = 'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\tempdb2.ndf',
    SIZE = 5MB,
    MAXSIZE = 100MB,
    FILEGROWTH = 5MB
);
GO


